#
# spec file for package m4 (Version 1.4.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           m4
License:        GPL
Group:          Development/Languages/Other
Provides:       base:/usr/bin/m4
Autoreqprov:    on
PreReq:         %{install_info_prereq}
Version:        1.4.4
Release:        12.2
Summary:        GNU m4
URL:            http://www.gnu.org/software/m4/
Source:         ftp://ftp.gnu.org/pub/gnu/m4/m4-%{version}.tar.bz2
Patch:          m4-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU m4 is an implementation of the traditional Unix macro processor.



Authors:
--------
    Ren Seindal <rene@seindal.dk>

%debug_package
%prep
%setup
%patch

%build
autoreconf --force --install
./configure CFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir}
make
make check

%install
make install \
     prefix="$RPM_BUILD_ROOT/usr" mandir="$RPM_BUILD_ROOT%{_mandir}" \
     infodir="$RPM_BUILD_ROOT%{_infodir}"

%post
%install_info --info-dir=%{_infodir} %{_infodir}/m4.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/m4.info.gz

%files
%defattr(-,root,root)
%doc README COPYING NEWS THANKS TODO
/usr/bin/m4
%doc %{_infodir}/m4.info*.gz

%changelog -n m4
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 21 2005 - schwab@suse.de
- Update to m4 1.4.4.
* Tue May 31 2005 - schwab@suse.de
- Fix signedness issue when matching comment or quote characters.
* Thu Mar 31 2005 - schwab@suse.de
- Update to m4 1.4.3.
* Sun Sep 05 2004 - schwab@suse.de
- Speed up parsing by inlining out the common part of next_char().
* Sat Aug 21 2004 - schwab@suse.de
- Update to m4 1.4.2.
* Mon Jun 14 2004 - schwab@suse.de
- Update to m4 1.4.1.
* Thu Feb 19 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Wed Jan 07 2004 - schwab@suse.de
- Fix quoting for autoconf.
- Use newer version of the gettext macros.
* Tue May 13 2003 - schwab@suse.de
- Add %%defattr.
- Fix file list.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Mon Nov 18 2002 - schwab@suse.de
- Remove mangling of LIBOBJS.
- Don't clobber po/Makefile.
- Clean up neededforbuild.
- Use AM_GNU_GETTEXT_VERSION.
- Fix some warnings from automake.
* Sat Mar 30 2002 - schwab@suse.de
- Fix for new autoconf.
* Wed Feb 06 2002 - schwab@suse.de
- Gettextize to work with new gettext.
* Thu Oct 04 2001 - schwab@suse.de
- Fix for automake 1.5.
* Sat Jul 21 2001 - schwab@suse.de
- Run autoconf in libltdl.
- Fix libltdl/configure.in for autoconf 2.50+.
* Fri Jun 01 2001 - schwab@suse.de
- Fix for new configure tools.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 08 2001 - schwab@suse.de
- Don't use regex from libc5.
* Wed Mar 07 2001 - schwab@suse.de
- Split from base.
